---
title: Overdracht eigendom en/of beperkt recht
category: pocwoz
doc-type: casus
navigation: Casussen > WOZ-domein
preliminary: true
draft: false
layout: single
weight: 2
---

## 1. Onvangst bericht / notificatie 

In deze casus wordt op basis van de ontvangst van een StUF-bericht uit de BRK-levering waarbij het Aard stukdeel "overdracht (eigendom en/of beperkt recht)" het rechtsfeit aanduidt dat met dit bericht wordt gecommuniceerd. Een deel van dit bericht ziet er als volgt uit 

```
  <Mutatie:aardStukdeel>
    <Typen:code>606</Typen:code>
    <Typen:waarde>Overdracht (eigendom en/of beperkt recht)</Typen:waarde>
  </Mutatie:aardStukdeel>
  <Mutatie:brkDatum>2024-10-30</Mutatie:brkDatum>
  <Mutatie:volgnummerKadastraalObjectDatum>1</Mutatie:volgnummerKadastraalObjectDatum>
  <Mutatie:ingeschrevenStuk>
    <Mutatie:AanduidingTerInschrijvingAangebodenStuk>
      <Mutatie:stuk>
        <Stuk-ref:TerInschrijvingAangebodenStukRef domein="NL.IMKAD.TIAStuk">20241030000102</Stuk-ref:TerInschrijvingAangebodenStukRef>
      </Mutatie:stuk>
      <Mutatie:deelEnNummer>
        <Stuk:deel>13709</Stuk:deel>
        <Stuk:nummer>815</Stuk:nummer>
        <Stuk:registercode>
          <Typen:code>2</Typen:code>
          <Typen:waarde>Hyp4</Typen:waarde>
        </Stuk:registercode>
        <Stuk:soortRegister>
          <Typen:code>2</Typen:code>
          <Typen:waarde>Onroerende Zaken</Typen:waarde>
        </Stuk:soortRegister>
      </Mutatie:deelEnNummer>
      <Mutatie:tijdstipOndertekening>
        <Typen:datum>2024-10-29</Typen:datum>
        <Typen:tijd>11:05:00</Typen:tijd>
      </Mutatie:tijdstipOndertekening>
    </Mutatie:AanduidingTerInschrijvingAangebodenStuk>
  </Mutatie:ingeschrevenStuk>
  <Mutatie:kadastraalObject>
    <Mutatie:AanduidingKadastraalObject>
      <Mutatie:kadastraleAanduiding>
        <OnroerendeZaak:akrKadastraleGemeenteCode>
          <Typen:code>1135</Typen:code>
          <Typen:waarde>VDG00</Typen:waarde>
        </OnroerendeZaak:akrKadastraleGemeenteCode>
        <OnroerendeZaak:kadastraleGemeente>
          <Typen:code>1026</Typen:code>
          <Typen:waarde>Vlaardingen</Typen:waarde>
        </OnroerendeZaak:kadastraleGemeente>
        <OnroerendeZaak:sectie>E</OnroerendeZaak:sectie>
        <OnroerendeZaak:perceelnummer>1184</OnroerendeZaak:perceelnummer>
      </Mutatie:kadastraleAanduiding>
      <Mutatie:kadastraalObject>
        <OnroerendeZaak-ref:PerceelRef domein="NL.IMKAD.KadastraalObject">20990634170000</OnroerendeZaak-ref:PerceelRef>
      </Mutatie:kadastraalObject>
    </Mutatie:AanduidingKadastraalObject>
  </Mutatie:kadastraalObject>
...
```

Het volledige bericht is in te zien op [Casus-3972-MUTPX02-VDG00E1184-20241030-1.xml](../../assets/Casus-3972-MUTPX02-VDG00E1184-20241030-1.xml)

- Uitgangspunten Casus: 
  - De anticorruption-layer wordt in deze beschrijving buiten beschouwing gelaten. 
  - Dit betreft de verkoop van Perceel met kadstrale identificatie "20990634170000" in Vlaardingen aan Joraraduy de Disqg en Cotivao Aawvgp. 
  - Er is aan dit perceel 1 `WozObject`, met wozObjectNummer "12345678", gekoppeld. 
  - Er heeft 1 persoon een geldig `Belang` van het type eigenaar in dit `WozObject`
  - Persoon Joraraduynog de DisqgCotivao is niet geregistreerd als `Partij`
  - Persoon Aawvgp Cotivao is geregistreerd als `Partij`

De verwerking van een bericht tot commando's, effecten (verwerkingsstappen?) en claims is uitgewerkt in onderstaand overzicht. Dit bericht betreft een informatierijke notificatie. 

![Notificatieverwerking](../assets/3972notificatieverwerking.png)

## 2. Van notificatiebericht naar commando (in de context van de BRK)

Met commando `Volledige overdracht eigendom WozObject BRK-context` wordt het commando bedoeld dat wordt samengesteld op basis van het notificatietype overdracht `(eigendom en/of beperkt recht)`. Genoemd commando wordt geformuleerd in de context van de verzender van de notificatie, maar alleen de voor de beoogde verwerking van de notifcatie relevante gegevens maken onderdeel uit van het commando. Commando's worden in JSON vormgegeven. 

Van het binnenkomende notificatiebericht is dus al vastgesteld dat het een valide notificatiebericht zou kunnen zijn en geen onderdeel is van een DDOS-aanval of input bevat die onmoglijk verwerkbaar zou kunnen zijn. 

Het binnengekomen bericht beschouwen we als een notificatie. Als het bericht ontvangen is vinden de volgende bewerkingstappen plaats.

  1. Notificatieverwerker ontvangt notificatiebericht en controleert op verwerkbaarheid
      - Registreert ontvangstmoment, type en inhoud
      - Valideert of bericht voldoet aan schema 
        - Voldoet niet -> registreert syntax error ("voldoet niet aan schema")
        - Voldoet -> registreert resultaat ("voldoet wel aan schema")  en verder naar interpretatie inhoud
      - Inhoud is (semantisch) niet interpreteerbaar -> registreert semantische error ("is niet interpreteerbaar")
      - Inhoud is (semantisch) interpreteerbaar -> registreert resultaat ("is wel interpreteerbaar") en verder naar productie commando-1

  2. Produceren en registreren van commando `Volledige overdracht eigendom WozObject BRK-context`.
      Notificatieverwerker produceert commando-1 op basis van bedrijfsregels. Deze bedrijfsregels beschrijven welke onderdelen van het notificatiebericht relevant zijn voor verwerking
        - Registreert inhoud van `Overdracht eigendom en/of beperkt recht BRK-context`.
        - Legt relatie naar notificatie die context van dit commando vormt.

  3. Notificatieverwerker verzendt commando `Overdracht eigendom en/of beperkt recht BRK-context` naar commandohandler-1
      - Registreer het moment van verzending en de bestemming van het commando.



### 2.1 Vastleggen notificatie ontvangst en controle op verwerkbaarheid.

De notificatie en het feit dat de notificatie ontvangen is wordt vastgelegd met claims voor een [objecttype "Notificatie"](../0696) en voor [objecttype "Notificatie-ontvangst"](../4514). Deze claims worden in 1 transactie vastgelegd. 

#### Vastleggen notificatie

| Claimid | Claimtype | Claim-expression | 
| :----------- | :----------- | :----------- |
| N001 | Notificatie | Er bestaat een Notificatie geïdentificeerd met id `a966066d-3293-4d6d-90da-dc72c22f41ad` | 
| N002 | Notificatie / type | `a966066d-3293-4d6d-90da-dc72c22f41ad` is van type `Overdracht eigendom en/of beperkt recht BRK-context` | 
| N003 | Notificatie / schemaCompliant | `a966066d-3293-4d6d-90da-dc72c22f41ad` voldoet `true` aan schema | 
| N004 | Notificatie / verwerkbaar | `a966066d-3293-4d6d-90da-dc72c22f41ad` is `true` te vertalen naar een commando | 
| N005 | Notificatie / schemaCompliant |  `a966066d-3293-4d6d-90da-dc72c22f41ad` heeft als inhoud `<Inhoud van het XML-bericht>` |
| N006 | Notificatie / maker | `c28d3ecb-402c-4bf2-bdf4-89734ad2dbfe` is verantwoordelijk voor de inhoud van `a966066d-3293-4d6d-90da-dc72c22f41ad` |


Claimid | Annotatietype | AnnotatieClaim-expression | 
| :----------- | :----------- | :----------- | 
| AN001 | Geregistreerd op (A3) | `N001` is geregistreerd op `2024-11-11T08:54:32.101+00:00` |
| AN002 | Geregistreerd op (A3) | `N002` is geregistreerd op `2024-11-11T08:54:32.101+00:00` |
| AN003 | Geregistreerd op (A3) | `N003` is geregistreerd op `2024-11-11T08:54:32.101+00:00` |
| AN004 | Geregistreerd op (A3) | `N004` is geregistreerd op `2024-11-11T08:54:32.101+00:00` |
| AN005 | Geregistreerd op (A3) | `N005` is geregistreerd op `2024-11-11T08:54:32.101+00:00` |
| AN006 | Geregistreerd op (A3) | `N006` is geregistreerd op `2024-11-11T08:54:32.101+00:00` |

Er wordt een `Notificatie-ontvangst` aangemaakt conform [Objecttype Notificatie-ontvangst](../4514.md) met de volgende claims:

#### Claims gebeurtenistype Notificatie-ontvangst

Claimid | Claimtype | Claim-expression | 
| :----------- | :----------- | :----------- |
| NO001 | Notificatie-ontvangst | Notificatie-ontvangst met `5393433c-9bc9-4dc5-94be-200e33e1de87` heeft plaatsgevonden |
| NO002 | Notificatie-ontvangst / notificatie | `5393433c-9bc9-4dc5-94be-200e33e1de87` betreft `a966066d-3293-4d6d-90da-dc72c22f41ad` | 
| NO003 | Notificatie-ontvangst / ontvangenOp |  `5393433c-9bc9-4dc5-94be-200e33e1de87` heeft plaatsgevonden op `2024-11-11T08:54:32.101+00:00` |
| NO004| Notificatie-ontvangst / ontvangenDoor | `5393433c-9bc9-4dc5-94be-200e33e1de87` is ontvangen door `c28d3ecb-402c-4bf2-bdf4-89734ad2dbfe` |

Claimid | Annotatietype | AnnotatieClaim-expression | 
| :----------- | :----------- | :----------- | 
| AN010 | Geregistreerd op (A3) | `NO001` is geregistreerd op `2024-11-11T08:54:32.101+00:00` |
| AN011 | Geregistreerd op (A3) | `NO002` is geregistreerd op `2024-11-11T08:54:32.101+00:00` |
| AN011 | Geregistreerd op (A3) | `NO003` is geregistreerd op `2024-11-11T08:54:32.101+00:00` |
| AN012 | Geregistreerd op (A3) | `NO004` is geregistreerd op `2024-11-11T08:54:32.101+00:00` |

    - Todo: Bespreken of bij Notificatie-ontvangst terecht geen context-claim wordt geregistreerd. 
      Argument om geen contextclaim te registereren: Deze context is in claim met claimid NO002 al vastgelegd
      Argument om wel een contextclaim te registreren: De context kan dan op generieke manier worden herleid.
      -->  Neem een besluit en documenteer. 

### 2.2 Produceren en registreren van commando Volledige overdracht eigendom WozObject BRK-context.

Op basis van bedrijfsregels wordt commando `Volledige overdracht eigendom WozObject BRK-context` samengesteld door de notificatieverwerker en de relatie naar de notificatie die tot dit commando geleid heeft wordt gelegd.

Bedrijfsregels: 
- Met de voorliggende notificatie wordt alleen het volledig overgaan van de tenaamstelling van het zakelijk recht (van het type eigendom) van een kadstraal onroerende zaak naar 1 of meer personen of organisaties.
- Er worden alleen gegevens opgenomen die relevant zijn voor het registreren van de overdracht van het eigendom in het WOZ-register.


```
{
  "commandoId": "2b627e98-066e-43f1-9a83-1542512d491c",
  "comandoType: ""Volledige overdracht eigendom WozObject BRK-context",
  "aardStukdeel": {
    "code": "606",
    "waarde": "Overdracht (eigendom en/of beperkt recht)"
  },
  "ingeschrevenStuk": {
    "tijdstipOndertekening": {
      "datum": "2024-10-29",
      "tijd": "11:05:00"
    }
  },
  "kadastraalObject": {
    "perceel": {
      "identificatie": "20950118470000"
    },
    "zakelijkRecht": {
      "aard": {
        "code": "2",
        "waarde": "Eigendom (recht van)"
      }
    },
    "tenaamstelling": [
      {
        "aandeel": {
          "teller": "1",
          "noemer": "2"
        },
        "tenNameVan": {
          "natuurlijkPersoon": {
            "identificatie": "9896266146",
            "woonlocatie": {
              "identificatie": "207343",
              "nummeraanduiding": {
                "identificatie": "0622200000022350",
                "huisnummer": "14",
                "postcode": "3135KN",
                "openbareRuimtenaam": "Merellaan",
                "woonplaatsNaam": "Vlaardingen"
              }
            },
            "betreft": {
              "geregistreerdPersoon": {
                "bsn": "000000012",
                "aanduidingNaamgebruik": {
                  "code": "E",
                  "waarde": "Eigen geslachtsnaam"
                },
                "naam": {
                  "geslachtsnaam": "DisqgCotivao",
                  "voornamen": "Joraraduy",
                  "voorvoegselgeslachtsnaam": "de"
                },
                "indicatieGeheim": "true"
              }
            }
          }
        }
      },
      {
        "aandeel": {
          "teller": "1",
          "noemer": "2"
        },
        "tenNameVan": {
          "natuurlijkPersoon": {
            "identificatie": "1474250665",
            "woonlocatie": {
              "nummeraanduiding": {
                "identificatie": "",
                "huisnummer": "149",
                "postcode": "1841AQ",
                "openbareRuimtenaam": "Ueöorii gg akutetec",
                "woonplaatsNaam": "Teuooidut"
              }
            },
            "betreft": {
              "geregistreerdPersoon": {
                "bsn": "000000024",
                "aanduidingNaamgebruik": {
                  "code": "E",
                  "waarde": "Eigen geslachtsnaam"
                },
                "naam": {
                  "geslachtsnaam": "Cotivao",
                  "voornamen": "Aawvgp"
                },
                "indicatieGeheim": "false"
              }
            }
          }
        }
      }
    ]
  }
}

```

Commando `Registreer volledige overdracht eigendom BRK-context` wordt gepersisteerd door claims voor het [objecttype "Commando"](../4963) vast te leggen in het commando-register:  

#### Claims objecttype Commando

 Claimid | Claimtype | Claim-expression | 
| :----------- | :----------- | :----------- ||
| C001 | Commando | Er bestaat een Commando geïdentificeerd met id `2b627e98-066e-43f1-9a83-1542512d491c` |
| C002 | Commando / type | `2b627e98-066e-43f1-9a83-1542512d491c` is van type `Registreer volledige overdracht eigendom BRK-context` | 
| C003 | Commando / inhoud |  `2b627e98-066e-43f1-9a83-1542512d491c` heeft als inhoud `Zie bovenstaande JSON-blob` |

Claimid | Annotatietype | AnnotatieClaim-expression | 
| :----------- | :----------- | :----------- | 
| AN021 | Geregistreerd op (A3) | `C001` is geregistreerd op `2024-10-31T14:56:35.126+00:00` |
| AN023 | Context (A1) | `C001` is vastgelegd naar aanleiding van `N001` | 
| AN024 | Geregistreerd op (A3) | `C002` is geregistreerd op `2024-10-31T14:56:35.126+00:00` |
| AN025 | Geregistreerd op (A3) | `C003` is geregistreerd op `2024-10-31T14:56:35.126+00:00` |
| AN026 | Context (A1) | `C002` is vastgelegd naar aanleiding van `N001` | 
| AN027 | Context (A1) | `C003` is vastgelegd naar aanleiding van `N001` | 

### 2.3 Verzenden van commando naar commandohandler-1 (stap 4) 

Het commando wordt door de notificatieverwerker aangeboden aan commandohandler-1 (context-transformator?). 

    - Moet er een meer betekenisvolle naam voor commandohandler-1 bedacht worden ? 

Het commando wordt door de notificatieverwerker aangeboden aan de commandohandler-1 middels de commando-api [Overdracht-eigendom-brk](../../api_familie_pocwoz?oas=overdracht-eigendom-brk.yaml). 

    - Noot: deze api-specificatie is nog in bewerking 

Als de verzending is geslaagd wordt dat vastgelegd door de claims voor het [objecttype "Commando-verzending"](../4534) vast te leggen.

#### Claims voor commando-verzending

Claimid | Claimtype | Claim-expression | 
| :----------- | :----------- | :----------- |
| CV001 | CommandoVerzending | CommandoVerzending met `bedf8412-e4b6-436a-b343-504aa396bd0e` heeft plaatsgevonden |
| CV002 | CommandoVerzending / commando | `bedf8412-e4b6-436a-b343-504aa396bd0e` betreft `2b627e98-066e-43f1-9a83-1542512d491c` |  
| CV003 | CommandoVerzending / verzondenOp |  `bedf8412-e4b6-436a-b343-504aa396bd0e` heeft plaatsgevonden op `2024-10-31T14:56:35.128+00:00` | 
| CV004 | CommandoVerzending / verzondenAan | De bestemming bij `bedf8412-e4b6-436a-b343-504aa396bd0e` was `.../commando-overdracht-eigendom-BRK` |

Claimid | Annotatietype | AnnotatieClaim-expression | 
| :----------- | :----------- | :----------- | 
| AN028 | Geregistreerd op (A3) | `CV001` is geregistreerd op `2024-10-31T14:56:35.128+00:00` |
| AN029 | Context (A1) | `CV001` is vastgelegd naar aanleiding van `C001` | 
| AN030 | Geregistreerd op (A3) | `CV002` is geregistreerd op `2024-10-31T14:56:35.128+00:00` |
| AN031 | Context (A1) | `CV002` is vastgelegd naar aanleiding van `C001` | 
| AN032 | Geregistreerd op (A3) | `CV003` is geregistreerd op `2024-10-31T14:56:35.128+00:00` |
| AN033 | Context (A1) | `CV003` is vastgelegd naar aanleiding van `C001` | 
| AN034 | Geregistreerd op (A3) | `CV004` is geregistreerd op `2024-10-31T14:56:35.128+00:00` |
| AN035 | Context (A1) | `CV004` is vastgelegd naar aanleiding van `C001` | 


## 3. Van commando in de BRK-context naar commando in de WOZ-context.

Comandohandler-1 heeft als doel het commando dat in de BRK-contaxt is opgesteld te transformeren naar een commando in de WOZ-context. 

Om dit te bewerkstelliggen vinden de volgende bewerkingsstappen plaats: 

  1. Commandohandler-1 ontvangt commando `Registreer volledige overdracht eigendom BRK-context`
      - Registreert ontvangstmoment, type en inhoud
      - Valideert of bericht voldoet aan schema 
        - Voldoet niet -> registreert syntax error ("voldoet niet aan schema") 
        - Voldoet -> registreert resultaat ("voldoet wel aan schema") en verder naar interpretatie inhoud

  2. Commandohandler-1 interpreteert inhoud van commando `Registreer volledige overdracht eigendom BRK-context`
      - Inhoud is (semantisch) niet interpreteerbaar -> registreert semantische error ("is niet interpreteerbaar")
      - Inhoud is (semantisch) interpreteerbaar -> registreert resultaat ("is wel interpreteerbaar") en verder naar productie commando in de WOZ-context. 

  3. CommandoHandler-1 zet de gegevens om van een BRK-context naar een WOZ-context.  
      - CommandoHandler-1 controleert en verifieert of de aangeleverde objecten te vinden zijn in de primaire view op het WOZ-register. Per object wordt de vervolgactie bepaald.
      - In de primaire view wordt gecontroleerd of er een object van het objecttype `WOZKOZ` voorkomt waarvan de `kadastraleIdentificatie` overeenkomt met de PerceelRef uit het commando. 
      - Indien niet bekend --> Foutmelding (Geen WozObject gevonden).
      - Indien bekend --> Voor iedere WOZKOZ waarvan de kadastraleIdentificatie overeenkomt met de perceelRef wordt het WozObject opgenomen in commando `Volledige overdracht eigendom WozObject WOZ-context`. Als hetzelfde wozObjectnummer in meerdere WOZKOZ-voorkomens voorkomt wordt het corresponderende WozObjectslechts éénmaal opgenomen in het commando. 
      - In de primaire view wordt gecontroleerd de personen voorkomen als partij. Deze controle vindt plaats door te zoeken in de partij-identificator of het bsn voorkomt (geregistreerdPersoon) danwel of de kadaster-identificatie (door kadaster geregistreerde personen) danwel of het vestifgingsnummer voorkomt (organisaties). 
      - Als een partij voorkomt wordt de bijbehorende partijId opgehaald en opgenomen in commando `Registreer volledige overdracht eigendom WOZ-context`, zo niet dan wordt er een lege property partijId opgenomen.
      - Alle persoonsgegevens opgenomen in de het commando.
      - Alle overige gegevens worden als volgt omgezet:
          - tijdstipOndertekening --> overgenomen in geldigVanaf
          - aandeel -> breuk wordt getransformeerd naar percentage
          - NatuurlijkPersoon.identificatie --> overgenomen in partijIdentificator.objectId
          - Overige eigenschappen van PartijIdentificator gevuld op basis van de context van het bericht
          - GeregistreerdPersoon.bsn --> overgenomen in partijIdentificator.objectId
          - Overige eigenschappen van PartijIdentificator gevuld op basis van de context van het bericht
          - woonlocatie --> overgenomen in bezoekadres
          - huisnummer en openbareRuimtenaam --> getransformeerd naar adresregel1
          - postcode en woonplaats --> getransformeerd naar adresregel2
          - geslachtsnaam --> getransformeerd naar achternaam (mede op basis van aanduidingNaamgebruik)
          - voorvoegselgeslachtsnaam --> overgenomen in voorvoegselAchternaam
          - voornamen --> overgenomen in voornaam
          - voorletters --> afgeleid van de voornamen
          - indicatieGeheim --> overgenomen in indicatieGeheimhouding

  4. Commando `Registreer volledige overdracht eigendom WOZ-context` wordt vastgelegd.
    - Het inhoud van het commando wordt vastgelegd.
    - De relatie naar commando `Registreer volledige overdracht eigendom BRK-context` wordt vastgelegd. 
    
  5. Het aangemaakte commando wordt verzonden naar de commandhandler-2.

### 3.1 Commandohandler-1 ontvangt Commando `Registreer volledige overdracht eigendom BRK-context` 

  Het commando is door de notificatiehandler al vastgelegd. In de primaire view voor commandohandler-1 zijn deze claims beschikbaar. Het commando hoeft niet nogmaals geregistreerd te worden. 

      - Check bovenstaande. 
      
  De ontvangst van het commando door commandhandler-1  wordt geregistreed door het vastleggen van claims voor het [objecttype CommandoOntvangst](../3894).

#### Claims voor CommandoOntvangst

Claimid | Claimtype | Claim-expression | 
| :----------- | :----------- | :----------- |
| CO001 | CommandoOntvangst | CommandoOntvangst met `d6ad8fb9-ee46-4fa1-94ad-df5c74bf1fbc` heeft plaatsgevonden |
| CO002 | CommandoOntvangst / commando | `d6ad8fb9-ee46-4fa1-94ad-df5c74bf1fbc` betreft `2b627e98-066e-43f1-9a83-1542512d491c` |  
| CO003 | CommandoOntvangst / ontvangenOp |  `d6ad8fb9-ee46-4fa1-94ad-df5c74bf1fbc` heeft plaatsgevonden op `2024-10-31T14:56:35.124+00:00` | 
| CO004 | CommandoOntvangst / ontvangenDoor | `d6ad8fb9-ee46-4fa1-94ad-df5c74bf1fbc` is ontvangen door `cbfb8dfc-606c-41d5-bc2e-50437977ee83` |

Claimid | Annotatietype | AnnotatieClaim-expression | 
| :----------- | :----------- | :----------- | 
| AN128 | Geregistreerd op (A3) | `CO001` is geregistreerd op `2024-10-31T14:56:35.129+00:00` |
| AN129 | Context (A1) | `CO001` is vastgelegd naar aanleiding van `C001` | 
| AN130 | Geregistreerd op (A3) | `CO002` is geregistreerd op `2024-10-31T14:56:35.129+00:00` |
| AN131 | Context (A1) | `CO002` is vastgelegd naar aanleiding van `C001` | 
| AN132 | Geregistreerd op (A3) | `CO003` is geregistreerd op `2024-10-31T14:56:35.129+00:00` |
| AN133 | Context (A1) | `CO003` is vastgelegd naar aanleiding van `C001` | 
| AN134 | Geregistreerd op (A3) | `CO004` is geregistreerd op `2024-10-31T14:56:35.129+00:00` |
| AN135 | Context (A1) | `CO004` is vastgelegd naar aanleiding van `C001` | 

### 3.2 Commandohandler-1 interpreteert inhoud van commando `Registreer volledige overdracht eigendom BRK-context`

  Er wordt vastgelegd dat de inhoud semantisch interpreteerbaar en dus verwerkbaar is.

 Claimid | Claimtype | Claim-expression | 
| :----------- | :----------- | :----------- ||
| C005 | Commando / verwerkbaar |  `2b627e98-066e-43f1-9a83-1542512d491c` is 1 `true` te vertalen naar een commando of een effect |

Claimid | Annotatietype | AnnotatieClaim-expression | 
| :----------- | :----------- | :----------- | 
| AN141 | Geregistreerd op (A3) | `C005` is geregistreerd op `2024-10-31T14:56:35.129+00:00` |
| AN142 | Context (A1) | `C005` is vastgelegd naar aanleiding van `N001` | 


### 3.3 CommandoHandler-1 zet de gegevens om van een BRK-context naar een WOZ-context.  

    - Todo: Op welke wijze we de uitgevoerde transformatie moeten vastleggen moeten we nog uitwerken. 
    Worden er claims vastgelegd die de transformatie beschrijven ? 
    Voorbeeld: Perceel <Perceelidentificatie> is gerelateerd aan wozObject<wozObjectNummer>     

Op basis van de logica die bij bullet 3 is beschreven wordt een commando opgesteld in de WOZ-context.

```
{
  "commandoId": "65d4cca1-c304-4adb-846a-627e6c6abf35",
  "commandoType": "Volledige overdracht eigendom WozObject WOZ-context",
  "geldigVanaf": "2024-10-29T11:05:00.000+00:00",
  "wozObject": [
    {
      "wozObjectnummer": "12345678",
      "belang": [
        {
          "zakelijkRechtEigenaar": {
            "aardZakelijkRecht": {
              "code": "2",
              "waarde": "Eigendom (recht van)"
            },
            "aandeel": "50"
          },
          "partij": {
            "partijId": "4bec755e-d9de-43fd-8c6b-cca75fd1a41d",
            "persoon": {
              "partijIdentificator": [
                {
                  "id": "adb44aef-145b-406d-bb81-7dd9cd08597d",
                  "identificator": {
                    "objecttype": "NatuurlijkPersoon",
                    "soortObjectId": "identificatie",
                    "objectId": "9896266146",
                    "register": "Basisregistratie Kadaster"
                  }
                },
                {
                  "id": "78fe04d9-97b0-4a33-bfc3-bf7fe15f316b",
                  "identificator": {
                    "objecttype": "GeregistreerdPersoon",
                    "soortObjectId": "burgerservicenummer",
                    "objectId": "000000012",
                    "register": "Basisregistratie Kadaster"
                  }
                }
              ],
              "bezoekadres": {
                "identificatie": "207343",
                "nummeraanduidingId": "0622200000022350",
                "adresregel1": "Merellaan 14",
                "adresregel2": "3135KN Vlaardingen"
              },
              "naam": {
                "achternaam": "DisqgCotivao",
                "voornaam": "Joraraduy",
                "voorletters": "J",
                "voorvoegselAchternaam": "de"
              },
              "indicatieGeheimhouding": true
            }
          }
        },
        {
          "zakelijkRechtEigenaar": {
            "aardZakelijkRecht": {
              "code": "2",
              "waarde": "Eigendom (recht van)"
            },
            "aandeel": "50"
          },
          "partij": {
            "partijId": "",
            "persoon": {
              "partijIdentificator": [
                {
                  "id": "adb44aef-145b-406d-bb81-7dd9cd08597d",
                  "identificator": {
                    "objecttype": "NatuurlijkPersoon",
                    "soortObjectId": "identificatie",
                    "objectId": "1474250665",
                    "register": "Basisregistratie Kadaster"
                  }
                },
                {
                  "id": "78fe04d9-97b0-4a33-bfc3-bf7fe15f316b",
                  "identificator": {
                    "objecttype": "GeregistreerdPersoon",
                    "soortObjectId": "burgerservicenummer",
                    "objectId": "000000024",
                    "register": "Basisregistratie Kadaster"
                  }
                }
              ],
              "bezoekadres": {
                "identificatie": "207343",
                "nummeraanduidingId": "",
                "huisnummer": "149",
                "postcode": "1841AQ",
                "openbareRuimtenaam": "Ueöorii gg akutetec",
                "woonplaatsNaam": "Teuooidut"
              },
              "naam": {
                "achternaam": "Cotivao",
                "voornaam": "Aawvgp",
                "voorletters": "A"
              },
              "indicatieGeheim": false
            }
          }
        }
      ]
    }
  ]
}
```

Naast het vastleggen van dit commando moeten ook alle transformaties gelogd worden. 

    - Hoe gaat het vastleggen van die transformatie er uit zien. Gaan we hiervoor claimtypes definieren (en is dat te doen) 


### 3.4 Commando `Registreer volledige overdracht eigendom WOZ-context` wordt vastgelegd.


| Claimid | Claimtype | Claim-expression | 
| :----------- | :----------- | :----------- |
| C011 | Commando | Er bestaat een Commando geïdentificeerd met id `65d4cca1-c304-4adb-846a-627e6c6abf35` |
| C012 | Commando / type | `65d4cca1-c304-4adb-846a-627e6c6abf35` is van type `Registreer volledige overdracht eigendom WOZ-context` | 
| C013 | Commando / inhoud |  `65d4cca1-c304-4adb-846a-627e6c6abf35` heeft als inhoud `Zie bovenstaande JSON-blob` |

Claimid | Annotatietype | AnnotatieClaim-expression | 
| :----------- | :----------- | :----------- | 
| AN041 | Geregistreerd op (A3) | `C0011` is geregistreerd op `2024-10-31T14:56:35.137+00:00` |
| AN043 | Context (A1) | `C011` is vastgelegd naar aanleiding van `C001` | 
| AN044 | Geregistreerd op (A3) | `C012` is geregistreerd op `2024-10-31T14:56:35.137+00:00` |
| AN045 | Geregistreerd op (A3) | `C013` is geregistreerd op `2024-10-31T14:56:35.137+00:00` |
| AN046 | Context (A1) | `C012` is vastgelegd naar aanleiding van `C001` | 
| AN047 | Context (A1) | `C013` is vastgelegd naar aanleiding van `C001` | 

###   3.5 Het aangemaakte commando wordt verzonden naar de commandhandler-2.

Claimid | Claimtype | Claim-expression | 
| :----------- | :----------- | :----------- |
| CV011 | CommandoVerzending | CommandoVerzending met `0928ab5b-ebe4-4f59-b296-6c2a1208fc4e` heeft plaatsgevonden |
| CV012 | CommandoVerzending / commando | `0928ab5b-ebe4-4f59-b296-6c2a1208fc4e` betreft `65d4cca1-c304-4adb-846a-627e6c6abf35` |  
| CV013 | CommandoVerzending / verzondenOp |  `0928ab5b-ebe4-4f59-b296-6c2a1208fc4e` heeft plaatsgevonden op `2024-10-31T14:56:35.138+00:00` | 
| CV014 | CommandoVerzending / verzondenAan | De bestemming bij `0928ab5b-ebe4-4f59-b296-6c2a1208fc4e` was `.../commando-overdracht-eigendom-WOZ` |

Claimid | Annotatietype | AnnotatieClaim-expression | 
| :----------- | :----------- | :----------- | 
| AN051 | Geregistreerd op (A3) | `CV011` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN052 | Context (A1) | `CV011` is vastgelegd naar aanleiding van `C011` | 
| AN053 | Geregistreerd op (A3) | `CV012` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN054 | Context (A1) | `CV012` is vastgelegd naar aanleiding van `C011` | 
| AN055 | Geregistreerd op (A3) | `CV013` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN056 | Context (A1) | `CV013` is vastgelegd naar aanleiding van `C011` | 
| AN057 | Geregistreerd op (A3) | `CV004` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN058 | Context (A1) | `CV014` is vastgelegd naar aanleiding van `C011` | 

    - Todo: Bespreken of bij Commando-verzending beter geen context-claim wordt geregistreerd. 
      Argument om geen contextclaim te registereren: Deze context is in claim met claimid CV012 al vastgelegd
      Argument om wel een contextclaim te registreren: De context kan dan op generieke manier worden herleid.
      -->  Neem een besluit en documenteer. 

## 4. Van commando in de WOZ-context naar effecten binnen het WOZ-register.

Comandohandler-2 heeft als doel het commando dat in de WOZ-context is opgesteld te transformeren naar effecten die op het WOZ-register plaatsvinden. 

Om dit te bewerkstelliggen vinden de volgende bewerkingsstappen plaats: 

  1. Commandohandler-2 ontvangt commando `Registreer volledige overdracht eigendom WOZ-context`
      - Registreert ontvangstmoment, (indien nodig ook type en inhoud. Als deze handler het reeds vastgelegde commando kan raadplegen is vastlegging van het commando dubbeop).  
      - Valideert of bericht voldoet aan schema 
        - Voldoet niet -> registreert syntax error ("voldoet niet aan schema") 
        - Voldoet -> registreert resultaat ("voldoet wel aan schema") en verder naar interpretatie inhoud

  2. Commandohandler-2 interpreteert inhoud van commando `Registreer volledige overdracht eigendom WOZ-context`
      - Inhoud is (semantisch) niet interpreteerbaar -> registreert semantische error ("s niet interpreteerbaar") 
      - Inhoud is (semantisch) interpreteerbaar -> registreert resultaat ("is wel interpreteerbaar") en verder naar productie commando in de WOZ-context. 

  3. CommandoHandler-2 maakt verwerkingsstappen die aangeboden kunnen worden aan de register-engine. 

      De volgende verwerkingsstappen worden samengesteld op basis van het commando `Registreer volledige overdracht eigendom WOZ-context`.

        - Zoek bestaande belangen
        - Beeindig de geldigheid van de bestaande belangen.
        - Registreer Partijen (Inclusief Partij-identificatoren en Digitale adressen indien aangeboden).
        - Registreer Belangen  

            - Bij het vormgeven van deze verwerkinggstappen zijn bedrijfsregels van het domein bepalend. 
              Discussie met Ivo over hoe de transactie vormgegeven kan worden: 
                - Is het wel nodig het commando onder te verdelen in verwerkingsstappen.
                - Is het niet zo dat het commando uiteindelijk de volledige stapel claims is die geregistreerd moet worden. 
                - Vanuit relationeel denken zijn de onderstaande stappen verklaarbaar (CRUD-acties op de relationele view), maar voor de claim-engine niet relevant. 
                - Als dit allemaal waar is, is dan deze 2e verwerkingsstap alleen het transformeren van de berichtstructuur naar claims niet voldoende ? 
  
  4. De effecten / verwerkingsstappen worden vastgelegd.
    - Het inhoud van iedere verwerkingsstap wordt vastgelegd..
    - De relatie naar commando `Registreer volledige overdracht eigendom WOZ-context` wordt vastgelegd. 
    
  5. De aangemaakte verwerkingsstappen worden aan de effecthandler (verwerkingsstaphandler). 
    - Per verwerkingsstape wordt vastgelegd dat deze verzonden is, wanneer deze verzonden is en wat de bestemming was.   
  
  
###   4.1 De onvangst van het command door commandhandler-2 wordt vastgelegd. 

Claimid | Claimtype | Claim-expression | 
| :----------- | :----------- | :----------- |
| CO011 | CommandoOntvangst | CommandoOntvangst met `0928ab5b-ebe4-4f59-b296-6c2a1208fc4e` heeft plaatsgevonden |
| CO012 | CommandoOntvangst / commando | `0928ab5b-ebe4-4f59-b296-6c2a1208fc4e` betreft `65d4cca1-c304-4adb-846a-627e6c6abf35` |  
| CO013 | CommandoOntvangst / ontvangenOp |  `0928ab5b-ebe4-4f59-b296-6c2a1208fc4e` heeft plaatsgevonden op `2024-10-31T14:56:35.138+00:00` | 
| CO014 | CommandoOntvangst / ontvangenDoor | De ontvanger van `0928ab5b-ebe4-4f59-b296-6c2a1208fc4e` was `6e8253ad-cf3c-4f46-b856-b8698a555ce0` |

Claimid | Annotatietype | AnnotatieClaim-expression | 
| :----------- | :----------- | :----------- | 
| AN151 | Geregistreerd op (A3) | `CV011` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN152 | Context (A1) | `CV011` is vastgelegd naar aanleiding van `C011` | 
| AN153 | Geregistreerd op (A3) | `CV012` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN154 | Context (A1) | `CV012` is vastgelegd naar aanleiding van `C011` | 
| AN155 | Geregistreerd op (A3) | `CV013` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN156 | Context (A1) | `CV013` is vastgelegd naar aanleiding van `C011` | 
| AN157 | Geregistreerd op (A3) | `CV004` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN158 | Context (A1) | `CV014` is vastgelegd naar aanleiding van `C011` | 
  
      - Todo: Bespreken of bij CammonadoOntvangst beter geen context-claims worden geregistreerd. 
      Argument om geen contextclaim te registereren: Deze context is in claim met claimid CV002 al vastgelegd
      Argument om wel een contextclaim te registreren: De context kan dan op generieke manier worden herleid.
      -->  Neem een besluit en documenteer. 

### 4.2 Commandohandler-2 interpreteert inhoud van commando `Registreer volledige overdracht eigendom WOZ-context`

  Er wordt vastgelegd dat de inhoud semantisch interpreteerbaar en dus verwerkbaar is.

 Claimid | Claimtype | Claim-expression | 
| :----------- | :----------- | :----------- ||
| C015 | Commando / verwerkbaar |  `65d4cca1-c304-4adb-846a-627e6c6abf35` is 1 `true` te vertalen naar een commando of een effect |

Claimid | Annotatietype | AnnotatieClaim-expression | 
| :----------- | :----------- | :----------- | 
| AN141 | Geregistreerd op (A3) | `C015` is geregistreerd op `2024-10-31T14:56:35.129+00:00` |
| AN141 | Context (A1) | `C015` is vastgelegd naar aanleiding van `N001` | 
  
### 4.3 CommandoHandler-2 maakt verwerkingsstappen die aangeboden kunnen worden aan de register-engine. 
  
- Verwerkingsstap `Beeindig belang`:
```
{
  "verwerkingsstapId": "5ccf2bd8-9e5b-46b1-9230-343a6d28d836", 
  "verwerkingsstaptype": "Beeindig belang",
  "annotaties": [
    {
      "claimId": "AN060",
      "annotatietype": "Geldig tot",
      "$claimid": "B001", 
      "tot": "2024-10-29T11:04:59.999+00:00"
    },
    {
      "claimId": "AN061",
      "annotatietype": "Geregistreerd op",
      "$claimid": "AN060", 
      "op": "2024-10-31T14:56:35.139+00:00"
    },
                {
      "claimId": "AN062",
      "annotatietype": "Context",
      "$claimid": "AN060", 
      "aanleiding": "C011"
    }
  ]
}
```

- Partijen die een belang krijgen, maar nog niet geregistreerd zijn, worden als partij geregistreerd.
- Verwerkingsstap `Registreer Partij` 
- Bepalen van het nummer is buiten scope. 
```
{
  "verwerkingsstapId": "3605521e-bcc9-4852-89f2-7b577164ab51", 
  "verwerkingsstaptype": "Registreer partij",
  "claims": [
    {
      "claimId": "P001",
      "claimtype": "Partij",
      "id": "e47b5fc8-f21f-4869-96c4-b0e3691528d8"
    },
    {
      "claimId": "P002",
      "claimtype": "nummer",
      "partij": "e47b5fc8-f21f-4869-96c4-b0e3691528d8",
      "nummer": "12234"
    },
    {
      "claimId": "P003",
      "claimtype": "nummeraanduidingBezoekadres",
      "partij": "e47b5fc8-f21f-4869-96c4-b0e3691528d8",
      "nummeraanduidingBezoekadres": "0622200000022350"
    },
    {
      "claimId": "P003",
      "claimtype": "soortPartij",
      "partij": "e47b5fc8-f21f-4869-96c4-b0e3691528d8",
      "soortPartij": "persoon"
    },  
    {
      "claimId": "P004",
      "claimtype": "indicatieGeheimhouding",
      "partij": "e47b5fc8-f21f-4869-96c4-b0e3691528d8",
      "indicatieGeheimhouding": "true"
    },  
    {
      "claimId": "P005",
      "claimtype": "voornaamContactnaam",
      "partij": "e47b5fc8-f21f-4869-96c4-b0e3691528d8",
      "voornaamContactnaam": "Joraraduy"
    },       
    {
      "claimId": "P006",
      "claimtype": "voorlettersContactnaam",
      "partij": "e47b5fc8-f21f-4869-96c4-b0e3691528d8",
      "voorlettersContactnaam": "J"
    }, 
    {
      "claimId": "P007",
      "claimtype": "voorvoegselContactnaam",
      "partij": "e47b5fc8-f21f-4869-96c4-b0e3691528d8",
      "voorvoegselContactnaam": "de"
    },
    {
      "claimId": "P008",
      "claimtype": "achternaamContactnaam",
      "partij": "e47b5fc8-f21f-4869-96c4-b0e3691528d8",
      "achternaamContactnaam": "DisqgCotivao"
    }
  ],
  "annotaties": [ 
    {
      "claimId": "AN070",
      "annotatietype": "Geregistreerd op",
      "$claimid": "P001", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN071",
      "annotatietype": "Context",
      "$claimid": "P001", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN0711",
      "annotatietype": "Geldig vanaf",
      "$claimid": "P001", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN073",
      "annotatietype": "Geregistreerd op",
      "$claimid": "P002", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN074",
      "annotatietype": "Context",
      "$claimid": "P002", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN0741",
      "annotatietype": "Geldig vanaf",
      "$claimid": "P002", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN075",
      "annotatietype": "Geregistreerd op",
      "$claimid": "P003", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN076",
      "annotatietype": "Context",
      "$claimid": "P003", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN0761",
      "annotatietype": "Geldig vanaf",
      "$claimid": "P003", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN077",
      "annotatietype": "Geregistreerd op",
      "$claimid": "P004", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN078",
      "annotatietype": "Context",
      "$claimid": "P004", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN0781",
      "annotatietype": "Geldig vanaf",
      "$claimid": "P004", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN079",
      "annotatietype": "Geregistreerd op",
      "$claimid": "P005", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN080",
      "annotatietype": "Context",
      "$claimid": "P005", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN0801",
      "annotatietype": "Geldig vanaf",
      "$claimid": "P005", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN081",
      "annotatietype": "Geregistreerd op",
      "$claimid": "P006", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN082",
      "annotatietype": "Context",
      "$claimid": "P006", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN0821",
      "annotatietype": "Geldig vanaf",
      "$claimid": "P006", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN083",
      "annotatietype": "Geregistreerd op",
      "$claimid": "P007", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN084",
      "annotatietype": "Context",
      "$claimid": "P007", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN0841",
      "annotatietype": "Geldig vanaf",
      "$claimid": "P007", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN085",
      "annotatietype": "Geregistreerd op",
      "$claimid": "P008", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN086",
      "annotatietype": "Context",
      "$claimid": "P008", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN0861",
      "annotatietype": "Geldig vanaf",
      "$claimid": "P008", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    }
  ]
}
```
- Voor deze persoon zijn er 2 identificaties meegeleverd. (bsn en kadaster-identificatie NatuurlijkPersoon)
- Verwerkingsstap `Registreer Partij-identificator` 
```
[
  {
    "verwerkingsstapId": "ddf9cce4-8f97-4ba9-b188-3af3c5f20bb6",
    "verwerkingsstaptype": "Registreer Partij-identificator",
    "claims": [
      {
        "claimId": "PI001",
        "claimtype": "PartijIdentificator", 
        "id": "adb44aef-145b-406d-bb81-7dd9cd08597d"
      },
      {
        "claimId": "PI002",
        "claimtype": "objecttype", 
        "partijIdentificator": "adb44aef-145b-406d-bb81-7dd9cd08597d",
        "objecttype": "NatuurlijkPersoon"
      },
      {
        "claimId": "PI003",
        "claimtype": "soortObjectId", 
        "partijIdentificator": "adb44aef-145b-406d-bb81-7dd9cd08597d",
        "soortObjectId": "identificatie"
      },
      {
        "claimId": "PI004",
        "claimtype": "objectId", 
        "partijIdentificator": "adb44aef-145b-406d-bb81-7dd9cd08597d",
        "objectID": "9896266146"
      },
      {
        "claimId": "PI005",
        "claimtype": "register", 
        "partijIdentificator": "adb44aef-145b-406d-bb81-7dd9cd08597d",
        "objectID": "Basisregistratie Kadaster"
      }
    ],
    "annotaties": [
      {
      "claimId": "AN090",
      "annotatietype": "Context",
      "$claimid": "PI001", 
      "Aanleiding": "C011"
      },
      {
      "claimId": "AN091",
      "annotatietype": "Geregistreerd op",
      "$claimid": "PI001", 
      "op": "2024-10-31T14:56:35.142+00:00"
      },
      {
      "claimId": "AN0911",
      "annotatietype": "Geldig vanaf",
      "$claimid": "PI001", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
      },
      {
      "claimId": "AN092",
      "annotatietype": "Context",
      "$claimid": "PI002", 
      "Aanleiding": "C011"
      },
      {
      "claimId": "AN093",
      "annotatietype": "Geregistreerd op",
      "$claimid": "PI002", 
      "op": "2024-10-31T14:56:35.142+00:00"
      },
      {
      "claimId": "AN0931",
      "annotatietype": "Geldig vanaf",
      "$claimid": "PI002", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
      },
      {
      "claimId": "AN094",
      "annotatietype": "Context",
      "$claimid": "PI003", 
      "Aanleiding": "C011"
      },
      {
      "claimId": "AN095",
      "annotatietype": "Geregistreerd op",
      "$claimid": "PI003", 
      "op": "2024-10-31T14:56:35.142+00:00"
      },
      {
      "claimId": "AN0951",
      "annotatietype": "Geldig vanaf",
      "$claimid": "PI003", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
      },
      {
      "claimId": "AN096",
      "annotatietype": "Context",
      "$claimid": "PI004", 
      "Aanleiding": "C011"
      },
      {
      "claimId": "AN097",
      "annotatietype": "Geregistreerd op",
      "$claimid": "PI004", 
      "op": "2024-10-31T14:56:35.142+00:00"
      }, 
      {
      "claimId": "AN0971",
      "annotatietype": "Geldig vanaf",
      "$claimid": "PI004", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
      },   
      {
      "claimId": "AN098",
      "annotatietype": "Context",
      "$claimid": "PI005", 
      "Aanleiding": "C011"
      },
      {
      "claimId": "AN099",
      "annotatietype": "Geregistreerd op",
      "$claimid": "PI005", 
      "op": "2024-10-31T14:56:35.142+00:00"
      },
      {
      "claimId": "AN0991",
      "annotatietype": "Geldig vanaf",
      "$claimid": "PI005", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
      }  
    ]
  },
  {
    "verwerkingsstapId": "8faa7230-9322-42b5-b529-ba6720ad94bc",
    "verwerkingsstaptype": "Registreer Partij-identificator",
    "claims": [
      {
        "claimId": "PI006",
        "claimtype": "PartijIdentificator", 
        "id": "78fe04d9-97b0-4a33-bfc3-bf7fe15f316b"
      },
      {
        "claimId": "PI007",
        "claimtype": "objecttype", 
        "partijIdentificator": "78fe04d9-97b0-4a33-bfc3-bf7fe15f316b",
        "objecttype": "NatuurlijkPersoon"
      },
      {
        "claimId": "PI008",
        "claimtype": "soortObjectId", 
        "partijIdentificator": "78fe04d9-97b0-4a33-bfc3-bf7fe15f316b",
        "soortObjectId": "burgerservicenummer"
      },
      {
        "claimId": "PI009",
        "claimtype": "objectId", 
        "partijIdentificator": "78fe04d9-97b0-4a33-bfc3-bf7fe15f316b",
        "objectID": "000000012"
      },
      {
        "claimId": "PI010",
        "claimtype": "register", 
        "partijIdentificator": "78fe04d9-97b0-4a33-bfc3-bf7fe15f316b",
        "objectID": "Basisregistratie Kadaster"
                      }
    ],
    "annotaties": [
      {
      "claimId": "AN100",
      "annotatietype": "Context",
      "$claimid": "PI006", 
      "Aanleiding": "C011"
      },
      {
      "claimId": "AN101",
      "annotatietype": "Geregistreerd op",
      "$claimid": "PI006", 
      "op": "2024-10-31T14:56:35.142+00:00"
      },
      {
      "claimId": "AN1011",
      "annotatietype": "Geldig vanaf",
      "$claimid": "PI006", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
      },
      {
      "claimId": "AN102",
      "annotatietype": "Context",
      "$claimid": "PI007", 
      "Aanleiding": "C011"
      },
      {
      "claimId": "AN103",
      "annotatietype": "Geregistreerd op",
      "$claimid": "PI007", 
      "op": "2024-10-31T14:56:35.142+00:00"
      },
      {
      "claimId": "AN1031",
      "annotatietype": "Geldig vanaf",
      "$claimid": "PI007", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
      },
      {
      "claimId": "AN104",
      "annotatietype": "Context",
      "$claimid": "PI008", 
      "Aanleiding": "C011"
      },
      {
      "claimId": "AN105",
      "annotatietype": "Geregistreerd op",
      "$claimid": "PI008", 
      "op": "2024-10-31T14:56:35.142+00:00"
      },
      {
      "claimId": "AN1051",
      "annotatietype": "Geldig vanaf",
      "$claimid": "PI008", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
      },
      {
      "claimId": "AN106",
      "annotatietype": "Context",
      "$claimid": "PI009", 
      "Aanleiding": "C011"
      },
      {
      "claimId": "AN107",
      "annotatietype": "Geregistreerd op",
      "$claimid": "PI009", 
      "op": "2024-10-31T14:56:35.142+00:00"
      },
      {
      "claimId": "AN1071",
      "annotatietype": "Geldig vanaf",
      "$claimid": "PI009", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
      },    
      {
      "claimId": "AN108",
      "annotatietype": "Context",
      "$claimid": "PI010", 
      "Aanleiding": "C011"
      },
      {
      "claimId": "AN109",
      "annotatietype": "Geregistreerd op",
      "$claimid": "PI010", 
      "op": "2024-10-31T14:56:35.142+00:00"
      },
      {
      "claimId": "AN1091",
      "annotatietype": "Geldig vanaf",
      "$claimid": "PI010", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
      }  
    ]
  }
]
```

- Bij dit WozObjectzijn er 2 tenaamstellingen op het zakelijk recht van het type "eigendom" aangeleverd met dit commando. 
- Verwerkingsstap `Registreer Belang`.
```
{
  "verwerkingsstapId": "b9af8b23-e964-4d91-993d-b957b64c71c4",
  "verwerkingsstaptype": "Registreer Belang",
  "claims": [
    {
      "claimId": "B101",
      "claimtype": "Belang", 
      "id": "d8446425-b510-4ba5-a3a6-2f8c9185604a"
    },
    {
      "claimId": "B102",
      "claimtype": "wozObjectNummer", 
      "belang": "d8446425-b510-4ba5-a3a6-2f8c9185604a"
      "wozObjectNummer": "12345678"
    },
    {
      "claimId": "B103",
      "claimtype": "partijId", 
      "belang": "d8446425-b510-4ba5-a3a6-2f8c9185604a"
      "partijId": "4bec755e-d9de-43fd-8c6b-cca75fd1a41d"
    },
    {
      "claimId": "B104",
      "claimtype": "aanduidingEigenaarGebruiker", 
      "belang": "d8446425-b510-4ba5-a3a6-2f8c9185604a"
      "aanduidingEigenaarGebruiker": "eigenaar"
    },
    {
      "claimId": "B105",
      "claimtype": "aandeel", 
      "belang": "d8446425-b510-4ba5-a3a6-2f8c9185604a"
      "aandeel": "50"
    },
    {
      "claimId": "B106",
      "claimtype": "aardZakelijkRecht", 
      "belang": "d8446425-b510-4ba5-a3a6-2f8c9185604a"
      "aanduidingEigenaarGebruiker": "eigenaar"
    }
  ],
  "annotaties": [
    {
      "claimId": "AN120",
      "annotatietype": "Context",
      "$claimid": "B101", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN121",
      "annotatietype": "Geregistreerd op",
      "$claimid": "B101", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN122",
      "annotatietype": "Geldig vanaf",
      "$claimid": "B101", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN123",
      "annotatietype": "Context",
      "$claimid": "B102", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN124",
      "annotatietype": "Geregistreerd op",
      "$claimid": "B102", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN125",
      "annotatietype": "Geldig vanaf",
      "$claimid": "B102", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN126",
      "annotatietype": "Context",
      "$claimid": "B103", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN127",
      "annotatietype": "Geregistreerd op",
      "$claimid": "B103", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN128",
      "annotatietype": "Geldig vanaf",
      "$claimid": "B103", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN129",
      "annotatietype": "Context",
      "$claimid": "B104", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN130",
      "annotatietype": "Geregistreerd op",
      "$claimid": "B104", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN131",
      "annotatietype": "Geldig vanaf",
      "$claimid": "B104", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN132",
      "annotatietype": "Context",
      "$claimid": "B105", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN133",
      "annotatietype": "Geregistreerd op",
      "$claimid": "B105", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN134",
      "annotatietype": "Geldig vanaf",
      "$claimid": "B105", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN135",
      "annotatietype": "Context",
      "$claimid": "B106", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN136",
      "annotatietype": "Geregistreerd op",
      "$claimid": "B106", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN137",
      "annotatietype": "Geldig vanaf",
      "$claimid": "B106", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN138",
      "annotatietype": "Context",
      "$claimid": "B107", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN139",
      "annotatietype": "Geregistreerd op",
      "$claimid": "B107", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN140",
      "annotatietype": "Geldig vanaf",
      "$claimid": "B107", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN141",
      "annotatietype": "Context",
      "$claimid": "B108", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN142",
      "annotatietype": "Geregistreerd op",
      "$claimid": "B108", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN143",
      "annotatietype": "Geldig vanaf",
      "$claimid": "B108", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    }
  ]
}
```

```
{
  "verwerkingsstapId": "5e99b6be-db77-4f44-98dd-5233f70ed3ba",
  "verwerkingsstaptype": "Registreer Belang",
  "claims": [
    {
      "claimId": "B201",
      "claimtype": "Belang", 
      "id": "24384dc2-c216-4ba1-8577-dfbdd5035c1a"
    },
    {
      "claimId": "B202",
      "claimtype": "wozObjectNummer", 
      "belang": "24384dc2-c216-4ba1-8577-dfbdd5035c1a"
      "wozObjectNummer": "12345678"
    },
    {
      "claimId": "B203",
      "claimtype": "partijId", 
      "belang": "24384dc2-c216-4ba1-8577-dfbdd5035c1a"
      "partijId": "e47b5fc8-f21f-4869-96c4-b0e3691528d8"
    },
    {
      "claimId": "B204",
      "claimtype": "aanduidingEigenaarGebruiker", 
      "belang": "24384dc2-c216-4ba1-8577-dfbdd5035c1a"
      "aanduidingEigenaarGebruiker": "eigenaar"
    },
    {
      "claimId": "B205",
      "claimtype": "aandeel", 
      "belang": "24384dc2-c216-4ba1-8577-dfbdd5035c1a"
      "aandeel": "50"
    },
    {
      "claimId": "B206",
      "claimtype": "aardZakelijkRecht", 
      "belang": "24384dc2-c216-4ba1-8577-dfbdd5035c1a"
      "aanduidingEigenaarGebruiker": "eigenaar"
    }
  ],
  "annotaties": [
    {
      "claimId": "AN220",
      "annotatietype": "Context",
      "$claimid": "B201", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN221",
      "annotatietype": "Geregistreerd op",
      "$claimid": "B201", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN222",
      "annotatietype": "Geldig vanaf",
      "$claimid": "B201", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN223",
      "annotatietype": "Context",
      "$claimid": "B202", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN224",
      "annotatietype": "Geregistreerd op",
      "$claimid": "B202", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN225",
      "annotatietype": "Geldig vanaf",
      "$claimid": "B202", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN226",
      "annotatietype": "Context",
      "$claimid": "B203", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN227",
      "annotatietype": "Geregistreerd op",
      "$claimid": "B203", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN228",
      "annotatietype": "Geldig vanaf",
      "$claimid": "B203", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN229",
      "annotatietype": "Context",
      "$claimid": "B204", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN230",
      "annotatietype": "Geregistreerd op",
      "$claimid": "B204", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN231",
      "annotatietype": "Geldig vanaf",
      "$claimid": "B204", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN232",
      "annotatietype": "Context",
      "$claimid": "B205", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN233",
      "annotatietype": "Geregistreerd op",
      "$claimid": "B205", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN234",
      "annotatietype": "Geldig vanaf",
      "$claimid": "B205", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN235",
      "annotatietype": "Context",
      "$claimid": "B206", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN236",
      "annotatietype": "Geregistreerd op",
      "$claimid": "B206", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN237",
      "annotatietype": "Geldig vanaf",
      "$claimid": "B206", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN238",
      "annotatietype": "Context",
      "$claimid": "B207", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN239",
      "annotatietype": "Geregistreerd op",
      "$claimid": "B207", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN240",
      "annotatietype": "Geldig vanaf",
      "$claimid": "B207", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
    {
      "claimId": "AN241",
      "annotatietype": "Context",
      "$claimid": "B208", 
      "Aanleiding": "C011"
    },
    {
      "claimId": "AN242",
      "annotatietype": "Geregistreerd op",
      "$claimid": "B208", 
      "op": "2024-10-31T14:56:35.142+00:00"
    },
    {
      "claimId": "AN243",
      "annotatietype": "Geldig vanaf",
      "$claimid": "B208", 
      "geldigVanaf": "2024-10-29T11:05:00.000+00:00"
    },
  ]
}

```
  
### 4.4 De effecten / verwerkingsstappen worden vastgelegd.

#### Verwerkingsstaptype "Beeindig belang"

| Claimid | Claimtype | Claim-expression | 
| :----------- | :----------- | :----------- |
| VW001 | Verwerkingsstap | Er bestaat een Verwerkingsstap geïdentificeerd met id `5ccf2bd8-9e5b-46b1-9230-343a6d28d836` |
| VW002 | Verwerkingsstap / type | `5ccf2bd8-9e5b-46b1-9230-343a6d28d836` is van type `Beeindig belang` | 
| VW003 | Verwerkingsstap / inhoud |  `5ccf2bd8-9e5b-46b1-9230-343a6d28d836` heeft als inhoud `Zie JSON-blob Beeindig belang` |

Claimid | Annotatietype | AnnotatieClaim-expression | 
| :----------- | :----------- | :----------- | 
| AN241 | Geregistreerd op (A3) | `VW001` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN243 | Context (A1) | `VW001` is vastgelegd naar aanleiding van `C011` | 
| AN244 | Geregistreerd op (A3) | `VW002` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN245 | Geregistreerd op (A3) | `VW003` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN246 | Context (A1) | `VW002` is vastgelegd naar aanleiding van `C011` | 
| AN247 | Context (A1) | `VW003` is vastgelegd naar aanleiding van `C011` | 

 
#### Verwerkingsstaptype "Registreer partij"

| Claimid | Claimtype | Claim-expression | 
| :----------- | :----------- | :----------- |
| VW004 | Verwerkingsstap | Er bestaat een Verwerkingsstap geïdentificeerd met id `3605521e-bcc9-4852-89f2-7b577164ab51` |
| VW005 | Verwerkingsstap / type | `3605521e-bcc9-4852-89f2-7b577164ab51` is van type `Registreer partij` | 
| VW006 | Verwerkingsstap / inhoud |  `3605521e-bcc9-4852-89f2-7b577164ab51` heeft als inhoud `Zie JSON-blob Registreer partij` |

Claimid | Annotatietype | AnnotatieClaim-expression | 
| :----------- | :----------- | :----------- | 
| AN248 | Geregistreerd op (A3) | `VW004` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN249 | Context (A1) | `VW004` is vastgelegd naar aanleiding van `C011` | 
| AN250 | Geregistreerd op (A3) | `VW005` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN251 | Geregistreerd op (A3) | `VW006` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN252 | Context (A1) | `VW005` is vastgelegd naar aanleiding van `C011` | 
| AN253 | Context (A1) | `VW006` is vastgelegd naar aanleiding van `C011` | 

#### Verwerkingsstaptype "Registreer partij-identificator"

    "verwerkingsstapId": "ddf9cce4-8f97-4ba9-b188-3af3c5f20bb6",
    "verwerkingsstaptype": "Registreer Partij-identificator",

| Claimid | Claimtype | Claim-expression | 
| :----------- | :----------- | :----------- |
| VW007 | Verwerkingsstap | Er bestaat een Verwerkingsstap geïdentificeerd met id `ddf9cce4-8f97-4ba9-b188-3af3c5f20bb6` |
| VW008 | Verwerkingsstap / type | `ddf9cce4-8f97-4ba9-b188-3af3c5f20bb6` is van type `Registreer Partij-identificator` | 
| VW009 | Verwerkingsstap / inhoud |  `ddf9cce4-8f97-4ba9-b188-3af3c5f20bb6` heeft als inhoud `Zie JSON-blob Registreer partij-identificator` |

Claimid | Annotatietype | AnnotatieClaim-expression | 
| :----------- | :----------- | :----------- | 
| AN254 | Geregistreerd op (A3) | `VW007` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN255 | Context (A1) | `VW007` is vastgelegd naar aanleiding van `C011` | 
| AN256 | Geregistreerd op (A3) | `VW008` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN257 | Geregistreerd op (A3) | `VW009` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN258 | Context (A1) | `VW008` is vastgelegd naar aanleiding van `C011` | 
| AN259 | Context (A1) | `VW009` is vastgelegd naar aanleiding van `C011` | 

#### Verwerkingsstaptype "Registreer belang"

| Claimid | Claimtype | Claim-expression | 
| :----------- | :----------- | :----------- |
| VW010 | Verwerkingsstap | Er bestaat een Verwerkingsstap geïdentificeerd met id `b9af8b23-e964-4d91-993d-b957b64c71c4` |
| VW011 | Verwerkingsstap / type | `b9af8b23-e964-4d91-993d-b957b64c71c4` is van type `Registreer belang` | 
| VW012 | Verwerkingsstap / inhoud |  `b9af8b23-e964-4d91-993d-b957b64c71c4` heeft als inhoud `Zie JSON-blob Registreer belang` |

Claimid | Annotatietype | AnnotatieClaim-expression | 
| :----------- | :----------- | :----------- | 
| AN260 | Geregistreerd op (A3) | `VW010` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN261 | Context (A1) | `VW010` is vastgelegd naar aanleiding van `C011` | 
| AN262 | Geregistreerd op (A3) | `VW011` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN263 | Geregistreerd op (A3) | `VW012` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN264 | Context (A1) | `VW011` is vastgelegd naar aanleiding van `C011` | 
| AN265 | Context (A1) | `VW012` is vastgelegd naar aanleiding van `C011` | 
    
5e99b6be-db77-4f44-98dd-5233f70ed3ba

| Claimid | Claimtype | Claim-expression | 
| :----------- | :----------- | :----------- |
| VW013 | Verwerkingsstap | Er bestaat een Verwerkingsstap geïdentificeerd met id `5e99b6be-db77-4f44-98dd-5233f70ed3ba` |
| VW014 | Verwerkingsstap / type | `5e99b6be-db77-4f44-98dd-5233f70ed3ba` is van type `Registreer belang` | 
| VW015 | Verwerkingsstap / inhoud |  `5e99b6be-db77-4f44-98dd-5233f70ed3ba` heeft als inhoud `Zie JSON-blob Registreer belang` |

Claimid | Annotatietype | AnnotatieClaim-expression | 
| :----------- | :----------- | :----------- | 
| AN266 | Geregistreerd op (A3) | `VW013` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN267 | Context (A1) | `VW013` is vastgelegd naar aanleiding van `C011` | 
| AN268 | Geregistreerd op (A3) | `VW014` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN269 | Geregistreerd op (A3) | `VW015` is geregistreerd op `2024-10-31T14:56:35.138+00:00` |
| AN270 | Context (A1) | `VW014` is vastgelegd naar aanleiding van `C011` | 
| AN271 | Context (A1) | `VW015` is vastgelegd naar aanleiding van `C011` | 


### 4.5 De aangemaakte verwerkingsstappen worden verzonden aan de Atomic Claim Engine. 


